scrub-obsolete Package - gstreamer1.0

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/gstreamer1.0 scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index 580d4dc5..473273d9 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+gstreamer1.0 (1.18.1-2) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on pkg-config, bison, flex,
+      gobject-introspection.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 07 Nov 2020 19:41:26 -0000
+
 gstreamer1.0 (1.18.1-1) unstable; urgency=medium
 
   * New upstream bugfix release.
diff --git a/debian/control b/debian/control
index d1dbc657..9bec8814 100644
--- a/debian/control
+++ b/debian/control
@@ -8,7 +8,7 @@ Build-Depends: debhelper,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.15.1),
                meson (>= 0.48),
-               pkg-config (>= 0.11.0),
+               pkg-config,
                perl-doc,
                zlib1g-dev (>= 1:1.1.4),
                libglib2.0-dev (>= 2.44),
@@ -16,10 +16,10 @@ Build-Depends: debhelper,
                libgsl-dev | libgsl0-dev,
                libunwind-dev [i386 amd64 armel armhf arm64 powerpc ppc64 ppc64el mipsel mips64el],
                libdw-dev [i386 amd64 armel armhf arm64 powerpc ppc64 ppc64el mipsel mips64el],
-               bison (>= 1:2.4),
-               flex (>= 2.5.34),
+               bison,
+               flex,
                libgirepository1.0-dev (>= 0.9.12-4~),
-               gobject-introspection (>= 0.9.12-4~),
+               gobject-introspection,
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                bash-completion,

Run locally

Try this locally (using the lintian-brush package):

debcheckout gstreamer1.0
cd gstreamer1.0
deb-scrub-obsolete

More details

Full run details